Description

Description of problem:

Creating host with interface attached to subnet with IPAM set to internal DB over API fails with "ip can't be blank" when the IP

address isn't provided explicitly. API doesn't suggest new IP and model validations fail. UI works without any problem because it

makes ajax calls to fetch new IP and pre-fills the form with the retrieved value.

Steps to Reproduce:

Using hammer, create a new host on a subnet with internal DB IPAM, without explicitly setting an IP address.

Actual results:

The API call fails with: "Ip can't be blank"

Expected results:

New host with suggested IP should be created

History

#1 - 03/07/2017 03:28 AM - Tomáš Strachota

- Subject changed from Host create over API returns "ip can't be blank" when interface is attached to subnet with IPAM set to internal DB

 to Host create over API returns "ip can't be blank" when interface is attached to subnet with IPAM set to internal DB

- Category changed from Inventory to Host creation

- Target version set to 115

#2 - 03/24/2017 04:16 AM - Marek Hulán

- Status changed from New to Rejected

This does not seem to be present in recent version. Tomas please feel free to reopen if I misunderstood.

#3 - 03/24/2017 06:03 AM - Tomáš Strachota

You're correct. I copied the issue by mistake.
